nodes / disks
18 operations.
GET /nodes/{node}/disks
proxmox.nodes.$(node).disks.$get()Node index.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/disks/directory
proxmox.nodes.$(node).disks.directory.$get()PVE Managed Directory storages.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/disks/directory
proxmox.nodes.$(node).disks.directory.$post()Create a Filesystem on an unused disk. Will be mounted under '/mnt/pve/NAME'.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
add_storage | boolean | Configure storage using the directory. — default 0 | |
device | string | yes | The block device you want to create the filesystem on. |
filesystem | ext4 | xfs | The desired filesystem. — default "ext4" | |
name | string | yes | The storage identifier. — format pve-storage-id |
node | string | yes | The cluster node name. — format pve-node |
DELETE /nodes/{node}/disks/directory/{name}
proxmox.nodes.$(node).disks.directory.$(name).$delete()Unmounts the storage and removes the mount unit.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cleanup-config | boolean | Marks associated storage(s) as not available on this node anymore or removes them from the configuration (if configured for this node only). — default 0 | |
cleanup-disks | boolean | Also wipe disk so it can be repurposed afterwards. — default 0 | |
name | string | yes | The storage identifier. — format pve-storage-id |
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/disks/initgpt
proxmox.nodes.$(node).disks.initgpt.$post()Initialize Disk with GPT
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
disk | string | yes | Block device name |
node | string | yes | The cluster node name. — format pve-node |
uuid | string | UUID for the GPT table — ≤ 36 chars |
GET /nodes/{node}/disks/list
proxmox.nodes.$(node).disks.list.$get()List local disks.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
include-partitions | boolean | Also include partitions. — default 0 | |
node | string | yes | The cluster node name. — format pve-node |
skipsmart | boolean | Skip smart checks. — default 0 | |
type | unused | journal_disks | Only list specific types of disks. |
GET /nodes/{node}/disks/lvm
proxmox.nodes.$(node).disks.lvm.$get()List LVM Volume Groups
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/disks/lvm
proxmox.nodes.$(node).disks.lvm.$post()Create an LVM Volume Group
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
add_storage | boolean | Configure storage using the Volume Group — default 0 | |
device | string | yes | The block device you want to create the volume group on |
name | string | yes | The storage identifier. — format pve-storage-id |
node | string | yes | The cluster node name. — format pve-node |
DELETE /nodes/{node}/disks/lvm/{name}
proxmox.nodes.$(node).disks.lvm.$(name).$delete()Remove an LVM Volume Group.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cleanup-config | boolean | Marks associated storage(s) as not available on this node anymore or removes them from the configuration (if configured for this node only). — default 0 | |
cleanup-disks | boolean | Also wipe disks so they can be repurposed afterwards. — default 0 | |
name | string | yes | The storage identifier. — format pve-storage-id |
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/disks/lvmthin
proxmox.nodes.$(node).disks.lvmthin.$get()List LVM thinpools
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/disks/lvmthin
proxmox.nodes.$(node).disks.lvmthin.$post()Create an LVM thinpool
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
add_storage | boolean | Configure storage using the thinpool. — default 0 | |
device | string | yes | The block device you want to create the thinpool on. |
name | string | yes | The storage identifier. — format pve-storage-id |
node | string | yes | The cluster node name. — format pve-node |
DELETE /nodes/{node}/disks/lvmthin/{name}
proxmox.nodes.$(node).disks.lvmthin.$(name).$delete()Remove an LVM thin pool.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cleanup-config | boolean | Marks associated storage(s) as not available on this node anymore or removes them from the configuration (if configured for this node only). — default 0 | |
cleanup-disks | boolean | Also wipe disks so they can be repurposed afterwards. — default 0 | |
name | string | yes | The storage identifier. — format pve-storage-id |
node | string | yes | The cluster node name. — format pve-node |
volume-group | string | yes | The storage identifier. — format pve-storage-id |
GET /nodes/{node}/disks/smart
proxmox.nodes.$(node).disks.smart.$get()Get SMART Health of a disk.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
disk | string | yes | Block device name |
healthonly | boolean | If true returns only the health status | |
node | string | yes | The cluster node name. — format pve-node |
PUT /nodes/{node}/disks/wipedisk
proxmox.nodes.$(node).disks.wipedisk.$put()Wipe a disk or partition.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
disk | string | yes | Block device name |
node | string | yes | The cluster node name. — format pve-node |
GET /nodes/{node}/disks/zfs
proxmox.nodes.$(node).disks.zfs.$get()List Zpools.
Returns an array of object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
node | string | yes | The cluster node name. — format pve-node |
POST /nodes/{node}/disks/zfs
proxmox.nodes.$(node).disks.zfs.$post()Create a ZFS pool.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
add_storage | boolean | Configure storage using the zpool. — default 0 | |
ashift | number | Pool sector size exponent. — min 9, max 16, default 12 | |
compression | on | off | gzip | lz4 | lzjb | zle | zstd | The compression algorithm to use. — default "on" | |
devices | string | yes | The block devices you want to create the zpool on. — format string-list |
draid-config | string | ||
name | string | yes | The storage identifier. — format pve-storage-id |
node | string | yes | The cluster node name. — format pve-node |
raidlevel | single | mirror | raid10 | raidz | raidz2 | raidz3 | draid | draid2 | … (1 more) | yes | The RAID level to use. |
GET /nodes/{node}/disks/zfs/{name}
proxmox.nodes.$(node).disks.zfs.$(name).$get()Get details about a zpool.
Returns object.
| Parameter | Type | Required | Notes |
|---|---|---|---|
name | string | yes | The storage identifier. — format pve-storage-id |
node | string | yes | The cluster node name. — format pve-node |
DELETE /nodes/{node}/disks/zfs/{name}
proxmox.nodes.$(node).disks.zfs.$(name).$delete()Destroy a ZFS pool.
Returns string.
| Parameter | Type | Required | Notes |
|---|---|---|---|
cleanup-config | boolean | Marks associated storage(s) as not available on this node anymore or removes them from the configuration (if configured for this node only). — default 0 | |
cleanup-disks | boolean | Also wipe disks so they can be repurposed afterwards. — default 0 | |
name | string | yes | The storage identifier. — format pve-storage-id |
node | string | yes | The cluster node name. — format pve-node |